=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.51.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
@@ -14,12 +14,12 @@
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/attica
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/attica
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/attica
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/attica
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/attica.git
 
 Package: libkf5attica-dev
+Section: libdevel
 Architecture: any
-Section: libdevel
 Depends: libkf5attica5 (= ${binary:Version}),
          qtbase5-dev (>= 5.8.0~),
          ${misc:Depends},
@@ -34,11 +34,11 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development header files.
+Breaks: libkf5newstuff-dev (<< 5.51), libkf5xmlgui-dev (<< 5.51)
 
 Package: libkf5attica-doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: Qt library that implements the Open Collaboration Services API (documentation)
  Attica is a Qt library that implements the Open Collaboration Services
@@ -50,12 +50,12 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the qch documentation files.
+Section: doc
 
 Package: libkf5attica5
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: frameworkintegration (<< 5.42), qml-module-org-kde-newstuff (<< 5.42)
 Description: Qt library that implements the Open Collaboration Services API
  Attica is a Qt library that implements the Open Collaboration Services
  API version 1.6.
@@ -64,3 +64,8 @@
  persons and contents.
  .
  This package is part of KDE Frameworks 5.
+Breaks: frameworkintegration (<< 5.42),
+        libkf5newstuff5 (<< 5.51),
+        libkf5newstuffcore5 (<< 5.51),
+        libkf5xmlgui5 (<< 5.51),
+        qml-module-org-kde-newstuff (<< 5.42),
