=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11~),
                doxygen,
-               extra-cmake-modules (>= 5.51.0~),
+               extra-cmake-modules (>= 5.54.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.8.0~),
+               qtbase5-dev (>= 5.9.0~),
                qttools5-dev-tools (>= 5.4),
 Standards-Version: 4.1.4
 Homepage: https://projects.kde.org/projects/frameworks/attica
@@ -21,7 +21,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5attica5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.8.0~),
+         qtbase5-dev (>= 5.9.0~),
          ${misc:Depends},
 Recommends: libkf5attica-doc (= ${source:Version})
 Description: development files for libkf5attica5
@@ -34,7 +34,7 @@
  This package is part of KDE Frameworks 5.
  .
  This package contains the development header files.
-Breaks: libkf5newstuff-dev (<< 5.51), libkf5xmlgui-dev (<< 5.51)
+Breaks: libkf5newstuff-dev (<< 5.54), libkf5xmlgui-dev (<< 5.54)
 
 Package: libkf5attica-doc
 Architecture: all
@@ -65,7 +65,7 @@
  .
  This package is part of KDE Frameworks 5.
 Breaks: frameworkintegration (<< 5.42),
-        libkf5newstuff5 (<< 5.51),
-        libkf5newstuffcore5 (<< 5.51),
-        libkf5xmlgui5 (<< 5.51),
+        libkf5newstuff5 (<< 5.54),
+        libkf5newstuffcore5 (<< 5.54),
+        libkf5xmlgui5 (<< 5.54),
         qml-module-org-kde-newstuff (<< 5.42),
