=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,7 @@
 
 override_dh_strip:
 	dh_strip --dbgsym-migration='libkf5attica5-dbg (<= 5.19.0-1~~)'
+
+override_dh_auto_test:
+	# Disable dh_auto_test at build time
+	:
