=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: attica-kf5
 Section: libs
 Priority: optional
-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
-Uploaders: Maximiliano Curia <maxy@debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Uploaders: Maximiliano Curia <maxy@debian.org>,
+           Norbert Preining <norbert@preining.info>,
 Build-Depends: cmake (>= 3.5~),
                debhelper-compat (= 13),
                doxygen,
-               extra-cmake-modules (>= 5.74.0~),
+               extra-cmake-modules (>= 5.77.0~),
                graphviz,
                libqt5sql5-sqlite:native,
                pkg-kde-tools (>= 0.15.15ubuntu1~),
-               qtbase5-dev (>= 5.12.0~),
+               qtbase5-dev (>= 5.13.0~),
                qttools5-dev,
-               qttools5-dev-tools (>= 5.4)
-Standards-Version: 4.5.0
+               qttools5-dev-tools (>= 5.4),
+Standards-Version: 4.5.1
 Homepage: https://invent.kde.org/frameworks/attica
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/attica
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/attica.git
@@ -23,8 +24,8 @@
 Section: libdevel
 Architecture: any
 Depends: libkf5attica5 (= ${binary:Version}),
-         qtbase5-dev (>= 5.12.0~),
-         ${misc:Depends}
+         qtbase5-dev (>= 5.13.0~),
+         ${misc:Depends},
 Recommends: libkf5attica-doc (= ${source:Version})
 Description: development files for libkf5attica5
  Attica is a Qt library that implements the Open Collaboration Services
@@ -70,4 +71,4 @@
         libkf5newstuff5 (<< 5.54),
         libkf5newstuffcore5 (<< 5.54),
         libkf5xmlgui5 (<< 5.54),
-        qml-module-org-kde-newstuff (<< 5.42)
+        qml-module-org-kde-newstuff (<< 5.42),
